Event (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## grails.persistence
[Java] Enum Event

    java.lang.Object
      java.lang.Enum
          grails.persistence.Event

    public enum Event
    extends java.lang.Enum

Enum of the available events that Grails triggers.

Authors:
  Graeme Rocher

Since:
  1.2

Enum Constant Summary
`afterDelete`
`afterInsert`
`afterLoad`
`afterUpdate`
`beforeDelete`
`beforeInsert`
`beforeLoad`
`beforeUpdate`
`onLoad`
`onSave`

Method Summary
`static java.lang.String[]` | `getAllEvents()` @return The names of all persistence events

Methods inherited from class java.lang.Enum
java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long, int), java.lang.Enum#wait(long), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Enum Constant Detail

### afterDelete

    Event afterDelete

### afterInsert

    Event afterInsert

### afterLoad

    Event afterLoad

### afterUpdate

    Event afterUpdate

### beforeDelete

    Event beforeDelete

### beforeInsert

    Event beforeInsert

### beforeLoad

    Event beforeLoad

### beforeUpdate

    Event beforeUpdate

### onLoad

    Event onLoad

### onSave

    Event onSave

Method Detail

### getAllEvents

    public static java.lang.String[] getAllEvents()

  Returns:
    The names of all persistence events

Groovy Documentation